Bug 465625 - NetworkManager fails to function with DHCP
NetworkManager fails to function with DHCP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 15:43 EDT by Trey Earl
Modified: 2009-04-14 12:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 12:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trey Earl 2008-10-04 15:43:18 EDT
Description of problem:
After an install of the F10 beta LiveCD, NetworkManager refuses to connect to any network with DHCP. While in the LiveCD session, however, it seems to work fine. If I 'ifup eth0' (bypassing NetworkManager) it also works, however many GUI apps these days seem to require NM.

Version-Release number of selected component (if applicable):
0.7.0-0.11.svn4022.4.fc10.x86_64

How reproducible:
Unknown... its working right now... although I had similar problems with f9 too, so I'd say relatively easily reproduced.

Steps to Reproduce:
1. Install F10 beta
2. Notice it doesn't connect to any network
3. Assign static ips and watch it work with no issues.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2008-10-17 12:08:48 EDT
is this still an issue with latest rawhide NM svn4175 or later?
Comment 2 Bug Zapper 2008-11-25 22:33:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Niels Haase 2009-04-09 05:09:45 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Marcela Mašláňová 2009-04-09 10:51:47 EDT
I have still problems with NetworkManager in F-10. The problem is that after hibernation or restart isn't received ip from dhcp. 
The version is NetworkManager-0.7.0.99-5.git20090326.fc10.i386, so can't say if it's more or less than svn4175.

If I completely disable NetworkManager and enable service network then the ip is granted. So this could be problem of how NetworkManager ask for dhcp. If you suggest trying latest from NM from rawhide, I can try.
Comment 5 Dan Williams 2009-04-09 11:04:02 EDT
Yeah, that would be good, otherwise if you're in Westford, come over to my desk (2nd floor Desktop area) and I can try to debug it directly.
Comment 6 Niels Haase 2009-04-09 16:18:16 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Marcela Mašláňová 2009-04-14 12:17:54 EDT
NetworkManager-0.7.0.100-2.git20090408.fc10.i386 works for me. Great, thanks. It's working after reboot and also after hibernation.

Note You need to log in before you can comment on or make changes to this bug.